extends Node2D

export (String, "bus", "police", "car") var skin


enum { RIGHT, DOWN_RIGHT, DOWN, DOWN_LEFT, LEFT, UP_LEFT, UP, UP_RIGHT }

# TODO:
# - Move track related logic inside TrackPlayer script ?
onready var track = get_node("/root/Track2/RaceTrack/TrackPlayer/")


func _ready():
	# Set player sprite
	$CarSprite.set_animation(skin)


